extends Scene


func _on_island_beach_interacted() -> void:
	$kq4_035_island_beach.default_script(self)


func _on_enchanted_island_beach_interacted() -> void:
	$kq4_033_enchanted_island_beach.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see the azure ocean stretching in front of you as you stand on the beach of this marvelous island. Behind you, set amidst a beautiful garden, rises a splendid ivory palace.")
	).build(self, "_on_script_complete"))


func _on_beach_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The white sandy beach is warm under your feet. Palm trees dot the shoreline.")
	).build(self, "_on_script_complete"))
